<?php
// 値
$item = '分度器';
$price = 240;
$stock = 6;
$keyword = '事務';
$maker = 2;

// DB処理
$dbError = [];
try {
  $pdo = new PDO(
    'mysql:host=localhost;charset=UTF8;dbname=practice;',
    'Tanaka',
    'Manager',
  );
  $sql = 'INSERT INTO stationery SET item=:item, price=:price, stock=:stock, keyword=:keyword, maker=:maker';
  $stmt = $pdo->prepare($sql);
  $stmt->bindParam(':item', $item, PDO::PARAM_STR);
  $stmt->bindParam(':price', $price, PDO::PARAM_INT);
  $stmt->bindParam(':stock', $stock, PDO::PARAM_INT);
  $stmt->bindParam(':keyword', $keyword, PDO::PARAM_STR);
  $stmt->bindParam(':maker', $maker, PDO::PARAM_INT);
  $stmt->execute();
  $count = $stmt->rowCount();
} catch (PDOException $e) {
  $dbError[] = $e->getMessage();
} finally {
  $pdo = null;
} ?>
<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>レコードを登録する</title>
</head>

<body>
  <?php
  if (count($dbError) === 0) {
    echo "{$count}件登録しました。";
  } else {
    echo '<pre>';
    var_dump($dbError);
    echo '</pre>';
  }
  ?>
</body>

</html>
