<?php

/**
 * 使用ファイル
 * view/_index05.php
 */

// セッション開始
session_start();
unset($_SESSION['add']);
unset($_SESSION['change']);
unset($_SESSION['delete']);

// 共通関数・定数読み込み
require_once __DIR__ . '/functions.php';

// DB処理
$dbError = [];
try {
  $pdo = new PDO(DB_NAME, DB_USER, DB_PASS);
  $sqlStationery = 'SELECT * FROM stationery LEFT JOIN trader ON stationery.maker=trader.m_id';
  $stmtStationery = $pdo->query($sqlStationery);
  $countStationery = $stmtStationery->rowCount();
} catch (PDOException $e) {
  $dbError[] = $e->getMessage();
} finally {
  $pdo = null;
}

// デバッグ
if (false) {
  // SESSION
  d($_SESSION, '$_SESSION');
  // DB
  d($dbError, '$dbError');
  // 一覧取得
  d($sqlStationery, '$sqlStationery');
  d($stmtStationery, '$stmtStationery');
  d($countStationery, '$countStationery');
  // exit();
}

// ビューファイル選択
if (count($dbError) > 0) {
  $error = 'DBエラーが発生しました。';
  require __DIR__ . '/view/_error.php';
} else {
  require __DIR__ . '/view/_index05.php';
}
