<?php
$pageName = 'エラー｜';
require_once __DIR__ . '/parts/_head.php';
?>

<div class="Layout">
  <div class="Layout_inner narrowArea">
    <div class="Layout_header">
      <h1 class="Layout_title mainTitle">エラー</h1>
    </div>
    <div class="Layout_body">
      <?php if (isset($error)) : ?>
        <div class="Error">
          <?php if (is_array($error)) : ?>
            <ul class="Error_list">
              <?php foreach ($error as $value) : ?>
                <li class="Error_item"><?php echo h($value); ?></li>
              <?php endforeach; ?>
            </ul>
          <?php else : ?>
            <div class="Error_text format01">
              <p><?php echo h($error); ?></p>
            </div>
          <?php endif; ?>
        </div>
      <?php else : ?>
        <div class="Error_text format01">
          <p>エラーが発生しました。</p>
        </div>
      <?php endif; ?>
    </div>
    <div class="Layout_footer">
      <a class="Layout_btn btn -type1" href="index.php">一覧に戻る</a>
    </div>
  </div>
</div>

<?php
require_once __DIR__ . '/parts/_foot.php';
?>
