<div class="Search">
  <form action="index10.php" class="Search_form">
    <div class="Search_body">
      <?php
      $searchList = [
        'すべて',
        '在庫ありのみ',
      ];
      ?>
      <fieldset class="Search_fieldset">
        <legend class="Search_legend">在庫</legend>
        <?php foreach ($searchList as $key => $value) : ?>
          <label class="Search_label">
            <?php if ($key == $searchStock) : ?>
              <input class="Search_radio" name="searchStock" type="radio" value="<?php echo h($key); ?>" checked>
            <?php else : ?>
              <input class="Search_radio" name="searchStock" type="radio" value="<?php echo h($key); ?>">
            <?php endif; ?>
            <?php echo h($value); ?>
          </label>
        <?php endforeach; ?>
      </fieldset>
      <?php
      unset($searchList);
      ?>


      <fieldset class="Search_fieldset">
        <legend class="Search_legend">メーカー</legend>
        <label class="Search_label">
          <?php if ($searchMaker === '0') : ?>
            <input class="Search_radio" name="searchMaker" type="radio" value="0" checked>
          <?php else : ?>
            <input class="Search_radio" name="searchMaker" type="radio" value="0">
          <?php endif; ?>
          すべて
        </label>
        <?php while ($trData = $stmtTrader->fetch(PDO::FETCH_ASSOC)) : ?>
          <label class="Search_label">
            <?php if ($trData['m_id'] === $searchMaker) : ?>
              <input class="Search_radio" name="searchMaker" type="radio" value="<?php echo h($trData['m_id']); ?>" checked>
            <?php else : ?>
              <input class="Search_radio" name="searchMaker" type="radio" value="<?php echo h($trData['m_id']); ?>">
            <?php endif; ?>
            <?php echo h($trData['company']); ?>
          </label>
        <?php endwhile; ?>
      </fieldset>
    </div>
    <div class="Search_footer">
      <input class="Search_submit" type="submit" value="表示">
    </div>
  </form>
</div>
