<?php
// DB処理
$dbError = [];
try {
  $pdo = new PDO(
    'mysql:host=localhost;charset=UTF8;dbname=practice;',
    'Tanaka',
    'Manager',
  );
  $sql = 'SELECT * FROM stationery';
  $stmt = $pdo->query($sql);
  $count = $stmt->rowCount();
} catch (PDOException $e) {
  $dbError[] = $e->getMessage();
} finally {
  $pdo = null;
}
?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>レコードを取得する</title>
</head>

<body>
  <?php
  if (count($dbError) === 0) {
    echo "{$count}件<br>";
    $data = $stmt->fetch(PDO::FETCH_ASSOC);
    echo '<pre>';
    var_dump($data);
    echo '</pre>';
    echo $data['item'];

    echo '<h1>繰り返し処理ですべてのレコードを表示</h1>';
    $stmt->execute();
    while ($data = $stmt->fetch(PDO::FETCH_ASSOC)) {
      echo "{$data['item']}<br>";
    }
  } else {
    echo '<pre>';
    var_dump($dbError);
    echo '</pre>';
  }
  ?>
</body>

</html>
