﻿<?php
// セッション開始
session_start();
session_regenerate_id(TRUE);

// 共通関数・定数読み込み
require_once __DIR__ . '/functions.php';

// DB処理
$dbError = [];
try {
  $pdo = new PDO(DB_NAME, DB_USER, DB_PASS);

  // 値
  $item    = isset($_SESSION['add']['item'])    ? $_SESSION['add']['item']    : NULL;
  $price   = isset($_SESSION['add']['price'])   ? $_SESSION['add']['price']   : NULL;
  $stock   = isset($_SESSION['add']['stock'])   ? $_SESSION['add']['stock']   : NULL;
  $keyword = isset($_SESSION['add']['keyword']) ? $_SESSION['add']['keyword'] : NULL;
  $maker   = isset($_SESSION['add']['maker'])   ? $_SESSION['add']['maker']   : NULL;

  // メーカー選択用データ取得
  $sqlTrader = 'SELECT * FROM trader';
  $stmtTrader = $pdo->query($sqlTrader);
  $countTrader = $stmtTrader->rowCount();
} catch (PDOException $e) {
  $dbError[] = $e->getMessage();
} finally {
  $pdo = null;
}

// デバッグ
if (false) {
  // SESSION
  d($_SESSION, '$_SESSION');
  // 値
  d($item, '$item');
  d($price, '$price');
  d($stock, '$stock');
  d($keyword, '$keyword');
  d($maker, '$maker');
  // DB
  d($dbError, '$dbError');
  // メーカー選択
  d($sqlTrader, '$sqlTrader');
  d($stmtTrader, '$stmtTrader');
  d($countTrader, '$countTrader');
  // exit();
}

// ビューファイル選択
if (count($dbError) > 0) {
  $error = 'DBエラーが発生しました。';
  require __DIR__ . '/view/_error.php';
} else {
  require __DIR__ . '/view/_add01.php';
}
