<?php
$pageName = '商品編集確認画面｜';
require_once __DIR__ . '/parts/_head.php';
?>

<div class="Layout">
  <div class="Layout_inner narrowArea">
    <div class="Layout_header">
      <h1 class="Layout_title mainTitle">商品編集確認画面</h1>
    </div>
    <div class="Layout_body">
      <div class="Edit">
        <dl class="Edit_list">
          <dt class="Edit_dt">商品ID</dt>
          <dd class="Edit_dd -confirm"><?php echo h($id); ?></dd>
          <dt class="Edit_dt">商品名 <span class="require">※必須</span></dt>
          <dd class="Edit_dd -confirm"><?php echo h($item); ?></dd>
          <dt class="Edit_dt">価格 <span class="require">※必須</span></dt>
          <dd class="Edit_dd -confirm"><?php echo h($price); ?>円</dd>
          <dt class="Edit_dt">在庫 <span class="note">※省略時 0</span></dt>
          <dd class="Edit_dd -confirm"><?php echo h($stock); ?></dd>
          <dt class="Edit_dt">キーワード</dt>
          <dd class="Edit_dd -confirm"><?php echo h($keyword); ?></dd>
          <dt class="Edit_dt">メーカー</dt>
          <dd class="Edit_dd -confirm"><?php echo h($makerName); ?></dd>
        </dl>

        <div class="Edit_submit">
          <a class="btn -type1" href="change01.php">入力画面に戻る</a>
          <a class="btn -type2" href="change03.php">登録する</a>
        </div>
      </div>
    </div>
    <div class="Layout_footer">
      <a class="Layout_btn btn -type1" href="index.php" onclick="return confirm('一覧に戻りますか？')">一覧に戻る</a>
    </div>
  </div>
</div>

<?php
require_once __DIR__ . '/parts/_foot.php';
?>
